Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.preferences
Interface IEclipsePreferences.INodeChangeListener

Enclosing interface:
  IEclipsePreferences

public static interface IEclipsePreferences.INodeChangeListener

A listener to be used to receive preference node change events.

Clients may implement this interface.

Since:
  3.0

Method Summary
`void` | `added(IEclipsePreferences.NodeChangeEvent event)` Notification that a child node was added to the preference hierarchy.
`void` | `removed(IEclipsePreferences.NodeChangeEvent event)` Notification that a child node was removed from the preference hierarchy.

Method Detail

### added

    public void added(IEclipsePreferences.NodeChangeEvent event)

  Notification that a child node was added to the preference hierarchy. The given event must not be `null`.

  Parameters:
    `event` - an event specifying the details about the new node
  See Also:
    `IEclipsePreferences.NodeChangeEvent`, `IEclipsePreferences.addNodeChangeListener(IEclipsePreferences.INodeChangeListener)`, `IEclipsePreferences.removeNodeChangeListener(IEclipsePreferences.INodeChangeListener)`

### removed

    public void removed(IEclipsePreferences.NodeChangeEvent event)

  Notification that a child node was removed from the preference hierarchy. The given event must not be `null`.

  Parameters:
    `event` - an event specifying the details about the removed node
  See Also:
    `IEclipsePreferences.NodeChangeEvent`, `IEclipsePreferences.addNodeChangeListener(IEclipsePreferences.INodeChangeListener)`, `IEclipsePreferences.removeNodeChangeListener(IEclipsePreferences.INodeChangeListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.